PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::OuterDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj > Struct Template Reference

Data source in which input object is outer and contains output object. More...

`#include <plask/filters/base.hpp>`

Inheritance diagram for plask::OuterDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >:
[legend]
Collaboration diagram for plask::OuterDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >:
[legend]

## Public Member Functions
void | calcConnectionParameters () override
| This is called before request for data, but after setup inputObj, outputObj and path fields.
Public Member Functions inherited from plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >
| DataSourceWithReceiver ()
| ~DataSourceWithReceiver ()
void | disconnect ()
void | setPath (const PathHints *path)
const PathHints * | getPath () const
void | inOrOutWasChanged (GeometryObject::Event &e)
void | connect (InputGeomObj &inputObj, OutputGeomObj &outputObj, const PathHints *path=nullptr)

## Public Attributes
Vec< InputGeomObj::DIM, double > | inTranslation
Public Attributes inherited from plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >
ReceiverFor< PropertyT, InputSpaceType > | in

## Additional Inherited Members
Protected Attributes inherited from plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >
const InputGeomObj * | inputObj
const OutputGeomObj * | outputObj
plask::optional< PathHints > | path
boost::signals2::connection | geomConnectionIn
boost::signals2::connection | geomConnectionOut

## Detailed Description

template<typename PropertyT, typename OutputSpaceType, typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>
struct plask::OuterDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >

Data source in which input object is outer and contains output object.

Definition at line 327 of file base.hpp.

## Member Function Documentation

## ◆ calcConnectionParameters()

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

void plask::OuterDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::calcConnectionParameters | ( |  | ) |
| inline override virtual

This is called before request for data, but after setup inputObj, outputObj and path fields.

It can calculate trasnaltion and so needed for quick operator() calculation.

Implements plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >.

Definition at line 331 of file base.hpp.

## Member Data Documentation

## ◆ inTranslation

template<typename PropertyT , typename OutputSpaceType , typename InputSpaceType = OutputSpaceType, typename OutputGeomObj = OutputSpaceType, typename InputGeomObj = InputSpaceType>

Vec<InputGeomObj::DIM, double> plask::OuterDataSource< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >::inTranslation

Definition at line 329 of file base.hpp.

The documentation for this struct was generated from the following file:

- plask/filters/base.hpp